Skip to main content
GET
/
api
/
dataframer
/
runs
/
{run_id}
Python
import os
from dataframer import Dataframer

client = Dataframer(
    api_key=os.environ.get("DATAFRAMER_API_KEY"),  # This is the default and can be omitted
)
run = client.dataframer.runs.retrieve(
    "run_id",
)
print(run.id)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "PENDING",
  "spec_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "spec_name": "<string>",
  "spec_version": 123,
  "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "dataset_name": "<string>",
  "dataset_type": "SINGLE_FILE",
  "samples_completed": 123,
  "samples_failed": 123,
  "total_cost": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "created_by_email": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "runtime_params": {
    "number_of_samples": 123,
    "generation_model": "<string>",
    "outline_model": "<string>",
    "revision_model": "<string>",
    "revision_types": [
      "<string>"
    ],
    "filtering_types": [
      "<string>"
    ],
    "max_revision_cycles": 123,
    "seed_shuffling_level": "none",
    "max_examples_in_prompt": 123,
    "unified_multifield": true,
    "generation_thinking_budget": 123,
    "outline_thinking_budget": 123,
    "revision_thinking_budget": 123,
    "skip_outline": true,
    "tools": [
      "<string>"
    ]
  },
  "generated_files": [
    {
      "id": "<string>",
      "path": "<string>",
      "file_type": "<string>",
      "size_bytes": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.dataframer.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API Key authentication. Format: "Bearer YOUR_API_KEY"

Path Parameters

run_id
string
required

Unique identifier of the run to delete

Response

Detailed run information

id
string<uuid>
read-only

Unique identifier for the run

status
enum<string>

Current status of the run

Available options:
PENDING,
PROCESSING,
SUCCEEDED,
FAILED,
CANCELED
spec_id
string<uuid>
read-only

ID of the spec used

spec_name
string
read-only

Name of the spec

spec_version
integer
read-only

Version number of the spec used

dataset_id
string<uuid> | null
read-only

ID of the seed dataset (null for seedless specs)

dataset_name
string | null
read-only

Name of the seed dataset (null for seedless specs)

dataset_type
enum<string>
read-only

Type of dataset

Available options:
SINGLE_FILE,
MULTI_FILE,
MULTI_FOLDER
samples_completed
integer
read-only

Number of samples successfully generated

samples_failed
integer
read-only

Number of samples that failed to generate

total_cost
number | null
read-only

Total cost of the run in dollars

created_at
string<date-time>
read-only

When the run was created

created_by_email
string
read-only

Email of the user who created the run

completed_at
string<date-time> | null
read-only

When the run completed (null if not finished)

runtime_params
object

Generation parameters used for the run

generated_files
object[]
read-only

List of generated files (populated when run completes)